Subject: Re: bug#32002: 24.4; Scroll bar start, end not correct

From: martin rudalics <[email-masked]>
Date: Sun, 22 Jul 2018 09:25:20 +0200

> Or did you mean to disable scrolling-up in this case, and thus remove
 > the need for scrolling down?

That's the idea.  The entire text stays put in the window and any
attempt to move the thumb has no effect.  Obviously, users can always
change the window start position by other means but in that case they
are on their own.

 > Hmm... maybe that's the only solution to
 > this conundrum, but in that case I think it would be safer to add
 > scroll-bar-adjust-thumb-portion to your condition about portion-whole.

There's probably more of that.  For example, I have no idea whether
the car and cdr of 'portion-whole' are always numbers.  Honestly, I
dislike the idea of changing this code myself.  My knowledge of what
scrolling should do is too limited.

martin